#!/bin/bash
set -e

echo "Prüfe, ob Traefik läuft..."

if ! docker ps --format '{{.Names}}' | grep -q 'traefik'; then
    echo "Traefik läuft nicht."
    read -p "Möchtest du die lokale Version zum Debuggen (docker-compose.overwrite.yml) starten? (y/n): " answer
    if [[ "$answer" =~ ^[Yy]$ ]]; then
        echo "Starte lokale Version..."
        docker compose -f ../apps/docker-compose.overwrite.yml up -d
    else
        echo "Deployment abgebrochen."
        exit 1
    fi
else
    echo "Traefik läuft."
    echo "Starte Deployment mit docker-compose.prod.yml..."
    docker compose -f ../apps/docker-compose.prod.yml up -d
fi

echo "Deployment abgeschlossen."
